Bug 1647776 - Firefox-wayland crashes on display switch
Summary: Firefox-wayland crashes on display switch
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 29
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-08 10:46 UTC by Milan Zink
Modified: 2018-11-28 02:22 UTC (History)
13 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-11-15 13:41:52 UTC


Attachments (Terms of Use)
Firefox error report (9.80 KB, text/plain)
2018-11-08 10:46 UTC, Milan Zink
no flags Details

Description Milan Zink 2018-11-08 10:46:34 UTC
Created attachment 1503298 [details]
Firefox error report

Description of problem:
Firefox-wayland crashes on display switch. I have two displays one for standing, second for sitting. Switching display through gnome-control-center causes firefox-wayland crash.

Version-Release number of selected component (if applicable):
firefox-63.0.1-5.fc29.x86_64
firefox-wayland-63.0.1-5.fc29.x86_64

How reproducible:
* Attach 2 displays A and B
* Disable  display B
* Start firefox-wayland
* run gnome-control-center Display settings
* disable display A and enable display B, apply
* -> Firefox-wayland crash

Steps to Reproduce:
* Attach 2 displays A and B
* Disable  display B
* Start firefox-wayland
* run gnome-control-center Display settings
* disable display A and enable display B, apply
* -> Firefox-wayland crash

Actual results:
Firefox-wayland crash

Expected results:
Application should not crash. Windows should be placed on newly activated display

Additional info:
Default Firefox using Xwayland works normally.

Comment 1 Martin Stransky 2018-11-08 11:54:17 UTC
Interesting, thanks.

Comment 2 Martin Stransky 2018-11-15 12:17:00 UTC
Can you please backtrace of the crash? How-to is here:

https://fedoraproject.org/wiki/Debugging_guidelines_for_Mozilla_products#Application_crash

I'm having troubles to reproduce it.

Comment 3 Martin Stransky 2018-11-15 13:36:32 UTC
I managed to reproduce it, Thanks.

It throws:

(firefox:21839): GLib-GObject-WARNING **: 13:49:10.326: invalid cast from '(null)' to 'MozContainer'

(firefox:21839): GLib-GObject-WARNING **: 13:49:10.326: invalid unclassed pointer in cast to 'MozContainer'

(firefox:21839): GLib-GObject-WARNING **: 13:49:10.326: invalid unclassed pointer in cast to 'MozContainer'

Comment 4 Martin Stransky 2018-11-15 13:41:52 UTC
Moving upstream:
https://bugzilla.mozilla.org/show_bug.cgi?id=1507475

Comment 5 Fedora Update System 2018-11-23 15:11:10 UTC
firefox-63.0.3-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5009b86a36

Comment 6 Fedora Update System 2018-11-23 15:11:17 UTC
firefox-63.0.3-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9912804951

Comment 7 Fedora Update System 2018-11-23 15:11:24 UTC
firefox-63.0.3-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2e905b793c

Comment 8 Fedora Update System 2018-11-24 05:02:41 UTC
firefox-63.0.3-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9912804951

Comment 9 Fedora Update System 2018-11-24 05:46:44 UTC
firefox-63.0.3-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-5009b86a36

Comment 10 Fedora Update System 2018-11-24 06:12:53 UTC
firefox-63.0.3-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2e905b793c

Comment 11 Fedora Update System 2018-11-25 02:26:26 UTC
firefox-63.0.3-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-11-27 17:12:44 UTC
firefox-63.0.3-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Jan Pokorný [poki] 2018-11-27 23:31:22 UTC
Thanks again, Martine ([bug 1054334 comment 49]).

Comment 14 Fedora Update System 2018-11-28 02:22:16 UTC
firefox-63.0.3-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.